# coding: utf-8

from sqlalchemy import MetaData, String, Table, Column, Integer, DateTime


def upgrade(migrate_engine):

    meta = MetaData()

    tnx_node_images = Table(
        'tnx_node_images', meta,
        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),

        Column('id', Integer, primary_key=True, nullable=False),
        Column('image_name', String(63)),
        Column('file_data', String(511)),
        mysql_charset='utf8'
    )
    meta.bind = migrate_engine
    tnx_node_images.create()


def downgrade(migrate_engine):
    meta = MetaData()

    meta.bind = migrate_engine

    table = Table('tnx_node_images', meta)
    table.drop(checkfirst=True)
