# coding: utf-8

from sqlalchemy import MetaData, String, Table, Column, Integer, DateTime


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_power_devices = Table(
        'tnx_power_devices', meta,
        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),

        Column('id', Integer, primary_key=True),
        Column('device_name', String(127)),
        Column('protocol_type', String(63)),
        Column('host', String(255)),
        Column('port_number', Integer),
        Column('login', String(63)),
        Column('password', String(63)),
        mysql_charset='utf8'
    )
    tnx_power_devices.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tnx_power_devices = Table('tnx_power_devices', meta, autoload=True)
    tnx_power_devices.drop()
