# coding: utf-8

"""
update tnx_nodes table, add node_title column
"""

from sqlalchemy import MetaData, Table, Column, String


def upgrade(migrate_engine):
    """
    upgrade table, add node_title column
    :param migrate_engine:
    :return: None
    """
    meta = MetaData(bind=migrate_engine)

    tnx_nodes = Table('tnx_nodes', meta, autoload=True)
    node_title = Column('node_title', String(100), nullable=True)
    node_title.create(tnx_nodes)


def downgrade(migrate_engine):
    """
    downgrade table, drop node_title column
    :param migrate_engine:
    :return:
    """
    meta = MetaData(bind=migrate_engine)

    tnx_nodes = Table('tnx_nodes', meta, autoload=True)
    tnx_nodes.c.node_title.drop()
