import datetime
from sqlalchemy import MetaData, Table


def upgrade(migrate_engine):
    """Function adds ephemeral storage encryption key uuid field."""
    meta = MetaData(bind=migrate_engine)

    node_devices = Table('tnx_node_devices', meta, autoload=True)
    # pylint: disable=no-value-for-parameter
    migrate_engine.execute(
        node_devices.update().
        where(node_devices.c.deleted.is_(None)).
        values(deleted=0))

    migrate_engine.execute(
        node_devices.update().
        where(node_devices.c.created_at.is_(None)).
        values(created_at=datetime.datetime.utcnow()))


def downgrade(migrate_engine):
    """This migration fixes the node device stores delete property
    after previous migration with bug.
    No need to downgrade it.
    :param migrate_engine:
    :return:
    """
    pass
