# coding: utf-8

"""
update tnx_power_devices table, add title column
"""

from sqlalchemy import MetaData, Table, Column, String


def upgrade(migrate_engine):
    """
    upgrade table, add title column
    :param migrate_engine:
    :return: None
    """
    meta = MetaData(bind=migrate_engine)

    tnx_power_devices = Table('tnx_power_devices', meta, autoload=True)
    title = Column('title', String(50), nullable=True)
    title.create(tnx_power_devices)


def downgrade(migrate_engine):
    """
    downgrade table, drop title column
    :param migrate_engine:
    :return:
    """
    meta = MetaData(bind=migrate_engine)
    tnx_power_devices = Table('tnx_power_devices', meta, autoload=True)
    tnx_power_devices.c.title.drop()
