# coding: utf-8

from sqlalchemy import MetaData, Table, Column, Integer

from migrate.changeset.constraint import ForeignKeyConstraint


def upgrade(migrate_engine):

    meta = MetaData(migrate_engine)

    node_reserv_table = Table(
        'node_reservs', meta,

        Column('id', Integer, primary_key=True, nullable=False),
        Column('node_id', Integer),
        Column('reserv_node_id', Integer)
    )
    node_reserv_table.create()

    node_table = Table('tnx_nodes', meta, autoload=True)

    fkey = ForeignKeyConstraint(columns=[node_reserv_table.c.node_id],
                                refcolumns=[node_table.c.id],)
    fkey.create()

    fkey = ForeignKeyConstraint(columns=[node_reserv_table.c.reserv_node_id],
                                refcolumns=[node_table.c.id],)
    fkey.create()


def downgrade(migrate_engine):
    meta = MetaData(migrate_engine)

    node_reserv_table = Table('node_reservs', meta)
    node_reserv_table.drop()
