# coding: utf-8

import logging

from sqlalchemy import MetaData, Table, Integer, Column

log = logging.getLogger(__name__)


def alter_deleted(meta, table_name):
    table = Table(table_name, meta, autoload=True)
    # pylint: disable=no-value-for-parameter
    table.update().where(
        table.c.deleted is None
    ).values(
        deleted=0
    ).execute()

    col_deleted = getattr(table.c, 'deleted')
    col_deleted.alter(Column('deleted', Integer, default=0, nullable=False))


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    alter_deleted(meta, 'tnx_nodes')
    alter_deleted(meta, 'tnx_node_images')
    alter_deleted(meta, 'tnx_power_devices')
    alter_deleted(meta, 'tnx_node_devices')


def downgrade(migrate_engine):
    pass
