# coding: utf-8

from sqlalchemy import MetaData, Table, Column, Boolean


def upgrade(migrate_engine):
    """Adding is_controller column to Nodes model"""

    meta = MetaData(migrate_engine)
    tnx_nodes = Table('tnx_nodes', meta, autoload=True)

    controller = Column('is_controller', Boolean, default=False)
    controller.create(tnx_nodes)


def downgrade(migrate_engine):
    """Removing is_controller coargslumn from Nodes model"""

    meta = MetaData(bind=migrate_engine)

    tnx_nodes = Table('tnx_nodes', meta, autoload=True)

    tnx_nodes.c.is_controller.drop()
