# coding: utf-8

from sqlalchemy import MetaData, Table, Column, String


image_name_length_new = 35
image_name_length_old = 63


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    images_table = Table('tnx_node_images', meta, autoload=True)

    # resize image_name
    for row in images_table.select().execute().fetchall():
        if len(row.image_name) > image_name_length_new:
            new_image_name = row.image_name[:image_name_length_new]
            counter = 1
            while True:
                _images = list(images_table.select().where(
                    images_table.c.image_name == new_image_name
                ).execute())
                _images_len = len(_images)

                if _images_len:
                    new_image_name = u'{0}_{1}'.format(
                        new_image_name[:-(len(str(_images_len)) + 1)], counter)
                    counter += 1
                else:
                    break

            images_table.update().where(
                images_table.c.id == row.id
            ).values(
                image_name=new_image_name
            ).execute()

    images_table.c.image_name.alter(
        Column('image_name', String(image_name_length_new)))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    images_table = Table('tnx_node_images', meta, autoload=True)
    images_table.c.image_name.alter(
        Column('image_name', String(image_name_length_old)))
