# coding: utf-8

from sqlalchemy import MetaData, Table, Column, String


title_length_new = 100
title_length_old = 50


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    pwd_table = Table('tnx_power_devices', meta, autoload=True)
    pwd_table.c.title.alter(Column('title', String(title_length_new)))


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    pwd_table = Table('tnx_power_devices', meta, autoload=True)

    # resize
    for row in pwd_table.select().execute().fetchall():
        if len(row.title) > title_length_new:
            new_title = row.title[:title_length_new]
            counter = 1
            while True:
                _titles = list(pwd_table.select().where(
                    pwd_table.c.title == new_title
                ).execute())
                _titles_len = len(_titles)

                if _titles_len:
                    new_title = u'{0}_{1}'.format(
                        new_title[:-(len(str(_titles_len)) + 1)], counter)
                    counter += 1
                else:
                    break

            pwd_table.update().where(
                pwd_table.c.id == row.id
            ).values(
                title=new_title
            ).execute()

    pwd_table.c.image_name.alter(
        Column('title', String(title_length_old)))
