# coding: utf-8

from sqlalchemy import MetaData, Table


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    node_devices_table = Table('tnx_node_devices', meta, autoload=True)

    delete_ids = set()

    node_devices = node_devices_table.select().where(
        node_devices_table.c.deleted is False or
        node_devices_table.c.deleted == 0
    ).execute().fetchall()
    for row in node_devices:
        if row.id not in delete_ids:
            for _row in node_devices:
                if (row.node_id == _row.node_id and
                        row.power_device_id == _row.power_device_id and
                        row.node_port == _row.node_port and
                        row.id != _row.id):
                    delete_ids.add(_row.id)

    if delete_ids:
        node_devices_table.delete().where(
            node_devices_table.c.id.in_(delete_ids)
        ).execute()


def downgrade(migrate_engine):
    pass
