# coding: utf-8

from sqlalchemy import MetaData, Table

from migrate.changeset.constraint import UniqueConstraint


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    node_devices_table = Table('tnx_node_devices', meta, autoload=True)

    uniq = UniqueConstraint(
        'deleted', 'power_device_id', 'node_id', 'node_port',
        table=node_devices_table)
    uniq.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    node_devices_table = Table('tnx_node_devices', meta, autoload=True)

    uniq = UniqueConstraint(
        'deleted', 'power_device_id', 'node_id', 'node_port',
        table=node_devices_table)
    uniq.drop()
