# coding: utf-8

from sqlalchemy import (
    MetaData, Table, Column, Integer, DateTime, String)

from migrate.changeset.constraint import ForeignKeyConstraint


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_power_control_history_table = Table(
        'tnx_power_control_history',
        meta,

        Column('id', Integer, primary_key=True, nullable=False),
        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),

        Column('node_id', Integer),
        Column('image_id', Integer),

        Column('action', String(100)),
        Column('user_name', String(100))
    )
    tnx_power_control_history_table.create()

    tnx_node_images = Table('tnx_node_images', meta, autoload=True)
    tnx_node = Table('tnx_nodes', meta, autoload=True)

    fkey_node = ForeignKeyConstraint(
        columns=[tnx_power_control_history_table.c.node_id],
        refcolumns=[tnx_node.c.id],)
    fkey_node.create()

    fkey_image = ForeignKeyConstraint(
        columns=[tnx_power_control_history_table.c.image_id],
        refcolumns=[tnx_node_images.c.id],)
    fkey_image.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tnx_power_control_history_table = Table(
        'tnx_power_control_history',
        meta,
        autoload=True)
    tnx_power_control_history_table.drop()
