# coding: utf-8

from sqlalchemy import (
    MetaData, Table, Column, Boolean)


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_power_control_history = Table('tnx_power_control_history', meta,
                                      autoload=True)
    active = Column('active', Boolean(), default=True)
    if not hasattr(tnx_power_control_history.c, 'active'):
        tnx_power_control_history.create_column(active)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_power_control_history = Table('tnx_power_control_history', meta,
                                      autoload=True)
    if hasattr(tnx_power_control_history.c, 'active'):
        tnx_power_control_history.c.active.drop()

