# coding: utf-8

from sqlalchemy import MetaData, Table

from migrate.changeset.constraint import UniqueConstraint


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    tnx_node_images = Table('tnx_node_images', meta, autoload=True)

    uniq = UniqueConstraint('image_name', table=tnx_node_images)
    uniq.drop()

    uniq = UniqueConstraint('image_name', 'deleted', table=tnx_node_images)
    uniq.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_node_images = Table('tnx_node_images', meta, autoload=True)

    uniq = UniqueConstraint('image_name', 'deleted', table=tnx_node_images)
    uniq.drop()

    uniq = UniqueConstraint('image_name', table=tnx_node_images)
    uniq.create()
