# coding: utf-8

from sqlalchemy import MetaData, Table, Column, Integer


def upgrade(migrate_engine):
    """
    upgrade table, add row_number column
    :param migrate_engine:
    :return: None
    """
    meta = MetaData(bind=migrate_engine)

    tnx_nodes = Table('tnx_nodes', meta, autoload=True)
    row_number = Column('row_number', Integer, nullable=True)
    row_number.create(tnx_nodes)


def downgrade(migrate_engine):
    """
    downgrade table, drop row_number column
    :param migrate_engine:
    :return:
    """
    meta = MetaData(bind=migrate_engine)

    tnx_nodes = Table('tnx_nodes', meta, autoload=True)
    tnx_nodes.c.row_number.drop()
