# coding: utf-8

from sqlalchemy import (
    MetaData, String, Table, Column, Integer, DateTime, UnicodeText)


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    journal = Table(
        'journal', meta,

        Column('created_at', DateTime),
        Column('updated_at', DateTime),
        Column('deleted_at', DateTime),
        Column('deleted', Integer),
        Column('id', Integer, primary_key=True),

        Column('action', String(64), nullable=False),
        Column('node_id', Integer, nullable=False),
        Column('user_id', String(64), nullable=True),
        Column('user_name', String(64), nullable=True),
        Column('result', UnicodeText(), nullable=True),
        mysql_charset='utf8'
    )
    journal.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    journal = Table('journal', meta, autoload=True)
    journal.drop()
