# coding: utf-8

from sqlalchemy import MetaData, Table

from migrate.changeset.constraint import ForeignKeyConstraint


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_nodes = Table('tnx_nodes', meta, autoload=True)
    journal = Table('journal', meta, autoload=True)

    fkey = ForeignKeyConstraint(columns=[journal.c.node_id],
                                refcolumns=[tnx_nodes.c.id])
    fkey.create()


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    tnx_nodes = Table('tnx_nodes', meta, autoload=True)
    journal = Table('journal', meta, autoload=True)

    fkey = ForeignKeyConstraint(columns=[journal.c.node_id],
                                refcolumns=[tnx_nodes.c.id])
    fkey.drop()
