# coding: utf-8

from sqlalchemy import MetaData, Table, Column, Enum

from tionix_node_control.power_device.actions import POWER_OFF, POWER_ON


def upgrade(migrate_engine):
    """
    upgrade table, add power_state column
    :param migrate_engine:
    :return: None
    """
    meta = MetaData(bind=migrate_engine)

    tnx_nodes = Table('tnx_nodes', meta, autoload=True)
    power_state = Column('power_state', Enum(POWER_OFF, POWER_ON),
                         nullable=True)
    power_state.create(tnx_nodes)


def downgrade(migrate_engine):
    """
    downgrade table, drop power_state column
    :param migrate_engine:
    :return:
    """
    meta = MetaData(bind=migrate_engine)

    tnx_nodes = Table('tnx_nodes', meta, autoload=True)
    tnx_nodes.c.power_state.drop()
