# coding: utf-8

from sqlalchemy import MetaData, Table

_upgrading_tables = ('tnx_node_devices', 'node_reservs', 'journal',
                     'tnx_power_control_history')


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    for table_name in _upgrading_tables:
        table = Table(table_name, meta, autoload=True)
        table.c.node_id.alter(name='tnx_node_id')

    table = Table('node_reservs', meta, autoload=True)
    table.c.reserv_node_id.alter(name='reserv_tnx_node_id')


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)

    for table_name in _upgrading_tables:
        table = Table(table_name, meta, autoload=True)
        table.c.tnx_node_id.alter(name='node_id')

    table = Table('node_reservs', meta, autoload=True)
    table.c.reserv_tnx_node_id.alter(name='reserv_node_id')
